import time, os

## Environment Options
env_corpus_user  = os.getenv('OWL_LDB_CORPUSUSER')
env_corpus_pass  = os.getenv('OWL_LDB_CORPUSPASS')

## Timetable Data Options
required_toc_codes   = ["EF"]

## PIS Data Options
pis_file_paths = [
  "/app/data/pis/gwr.yaml"
]

## Upstream Data URLs
corpus_data_url      = "https://publicdatafeeds.networkrail.co.uk/ntrod/SupportingFileAuthenticate?type=CORPUS"

## Time Constants
one_day_in_seconds   = 84600
two_day_in_seconds   = one_day_in_seconds * 2
two_weeks_in_seconds = one_day_in_seconds * 14

def getAgeInSeconds(updateTimeInSeconds :int):
  now = int(time.time())
  ageInSeconds :int = now - updateTimeInSeconds
  return ageInSeconds